![logo](./misc/logo.png)

# PyCircStat2: Circular statistics with Python

A rework of [pycircstat](https://github.com/circstat/pycircstat). 

[**Installlation**](#installation) | 
[**Examples**](#examples) (
    [**Books**](#books) | 
    [**Topics**](#topics)
)

## Installation

```
git clone https://github.com/circstat/pycircstat2
pip install -e pycircstat2 
```

## Examples

### Books

- [Statistical Analysis of Circular Data](https://nbviewer.org/github/circstat/pycircstat2/blob/main/examples/B1-Fisher-1993.ipynb) (Fisher, 1993)
- [Chapter 26 and 27](https://nbviewer.org/github/circstat/pycircstat2/blob/main/examples/B2-Zar-2010.ipynb) from Biostatistical Analysis (Zar, 2010). 
- [Circular Statistics in R](https://nbviewer.org/github/circstat/pycircstat2/blob/main/examples/B3-Pewsey-2014.ipynb) (Pewsey, et al., 2014)

### Topics

- [Utils](https://nbviewer.org/github/circstat/pycircstat2/blob/main/examples/T0-utils.ipynb)
- [Descriptive Statistics](https://nbviewer.org/github/circstat/pycircstat2/blob/main/examples/T1-descriptive-statistics.ipynb)
- [Hypothesis Testing](https://nbviewer.org/github/circstat/pycircstat2/blob/main/examples/T2-hypothesis-testing.ipynb)
- [Circular Models](https://nbviewer.org/github/circstat/pycircstat2/blob/main/examples/T3-circular-models.ipynb)